Summary: Web Site CReating and Editing EnvironMent
Name:	screem
Version: 0.3.0
Release: 3
License: GPL
Group: Development/Tools	
Source: http://www.screem.org/src/screem-%{version}.tar.gz
Url: http://www.screem.org
BuildRoot: %{_tmppath}/screem-%{version}-root
BuildRequires: gnome-libs-devel >= 1.0.62, libxml-devel >= 1.8.7
BuildRequires: libglade-devel >= 0.12, gdk-pixbuf-devel >= 0.7
Requires: gnome-libs >= 1.0.62
Requires: libxml >= 1.8.7
Requires: libglade >= 0.13
Requires: gdk-pixbuf >= 0.8

%description
SCREEM (Site CReating and Editing EnvironMent) is an integrated development
environment for the creation and maintainance of websites and pages.

%prep
%setup -q

%build
%configure --enable-static=no
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc docs AUTHORS ChangeLog NEWS README COPYING TODO FAQ BUGS DEPENDS
%{_bindir}/*
%{_libdir}/screem
%{_datadir}/gnome/apps/Development/screem.desktop
%{_datadir}/gnome/help/screem
%{_datadir}/mc/templates/screem.desktop
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/screem.png
%{_datadir}/pixmaps/screem
%{_datadir}/screem

%changelog
* Fri Feb  2 2001 Tim Powers <timp@redhat.com>
- rebuilt against newer gnome-print in Fisher beta to fix bug 25686

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- updated to 0.3.0
- rebuilt to fix bad dir perms

* Thu Aug 3 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 02 2000 Trond Eivind  Glomsrd <teg@redhat.com>
- 0.2.7
- remove patch
- use %%{_tmppath} and %%makeinstall
- don't include anything from the IDL directory as no such directory is created

* Tue May 30 2000 Tim Powers <timp@redhat.com>
- fixed broken requires lists

* Fri May 26 2000 Tim Powers <timp@redhat.com>
- started changelog
- initial build for Powertools
- based on spec file in tarball
- use %configure instead of ./configure
- remove redundant defines at top of spec file
- use %{_prefix} instead of %{prefix} which was defined in the spec file
  instead of by RPM's macros
- fixed broken files list, was claiming ownership of directories that aren't
  owned by this package.
- applnk entry in /etc/X11/applnk
- patched configure.in so we can build the package against gnome-libs 1.2.0
  instead of only older versions
- changed Requires to the versions we are currently building with
- added BuildRequires so that we know what we need to build the package before
  we fail in the middle of everything
- removed obsoletes line since this package is named the same thing. RPM
  handles uninstalling older versions for us :)
